Bug 27061 - XFree86 segfaults if user switches to console on login
XFree86 segfaults if user switches to console on login
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-11 13:11 EST by Ed McKenzie
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-08 16:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 server log (10.39 KB, text/plain)
2001-03-08 15:58 EST, Ed McKenzie
no flags Details
config for 11.4.0 (1.72 KB, text/plain)
2001-03-08 16:01 EST, Ed McKenzie
no flags Details

  None (edit)
Description Ed McKenzie 2001-02-11 13:11:45 EST
Steps to reproduce on a Matrox G200:

1. Set up system for graphical login.
2. Log in.
3. As the GNOME splash screen is populating with icons, switch to VT1.
4. X will crash and reset the gdm login.

The log shows that everything is ok until the signal 11 that brings down
the Xserver.
Comment 1 Ed McKenzie 2001-02-11 13:21:55 EST
Disabling DRI and/or running in 24bpp doesn't help.
Comment 2 Mike A. Harris 2001-02-12 01:28:49 EST
Try the RAWHIDE version and let me know if it works.  If not, attach your
config, and xserver logs.
Comment 3 Ed McKenzie 2001-02-12 02:06:52 EST
I'm already running 4.0.2-6 (fisher, clean install.)

Anyway, I think I've tracked it down. If you change your keyboard repeat
settings in the gnome control panel, log out, and switch away from VT7 quickly
after logging in again, X dies after a few seconds and resets the display
manager. There's nothing interesting in the logs besides the fatal sig11.

I don't have a config handy, but it's whatever the config is for fisher's
2.4.0-0.99.11.i586.rpm.
Comment 4 Glen Foster 2001-02-12 18:14:32 EST
We (Red Hat) should really try to resolve this before next release.
Comment 5 Mike A. Harris 2001-02-22 16:44:20 EST
No, I don't mean your kernel config, I mean your XF86Config file.
You've mentioned 4.0.2, but have filed this bug report against 3.3.6.
Which is it you're having the problem with?

You should be using 4.0.2 for this card.  If 4.0.2
works, and 3.3.6 does not, there is no bug because 4.0.2 works, and is
the recommended driver.  If you can't use 4.0.2, please attach your
/var/log/Xerrors.*.log to the bugzilla entry with the above create
attachment link.  Also attach your /etc/X11/XF86Config-4.

So, if this is a 4.0.2 bug, change it from XFree86-Servers to package
XFree86 instead.
Comment 6 Ed McKenzie 2001-02-23 00:31:49 EST
Oops. :)

Yes, I am using 4.0.2, so the package version is bogus. The XF86Config-4 file
I'm using is as follows:

# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# This loads all the modules...

Section "Module"
	Load  "GLcore"
	Load  "dbe"
	#Load  "dri"
	Load  "extmod"
	Load  "glx"
	Load  "pex5"
	Load  "record"
	Load  "xie"
	Load  "v4l"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "IMPS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "ADI 5P"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30 - 69
	VertRefresh 50 - 120
	Option "DPMS"
EndSection

Section "Device"
	Identifier "Matrox Millennium G200 (generic)"
	Driver "mga"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "Matrox Millennium G200 (generic)"
	Monitor "ADI 5P"
	DefaultDepth 16
	Subsection "Display"
		Depth 16
		Modes "1152x864"
	EndSubSection
EndSection

Section "DRI"
EndSection

---

Xserver log:



XFree86 Version 4.0.2 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 18 December 2000
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.4.0-0.99.9.1smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.1.log", Time: Fri Feb 23 00:22:54 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ADI 5P"
(**) |   |-->Device "Matrox Millennium G200 (generic)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 8

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) Matrox MGA G200 AGP rev 1, Mem @ 0xe8000000/24, 0xe4000000/14,
0xe5000000/23
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.13.0
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
	mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400
(--) Assigning device section with no busID to primary device
(--) Chipset mgag200 found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(**) MGA(0): Depth 16, (--) framebuffer bpp 16
(==) MGA(0): RGB weight 565
(WW) Warning, couldn't open module mga_hal
(EE) MGA: Failed to load module "mga_hal" (module does not exist, 0)
(--) MGA(0): Chipset: "mgag200"
(II) MGA(0): Offscreen memory usage will be limited to 128 lines if the DRI is
enabled.
(==) MGA(0): Using AGP Mode 1x
(--) MGA(0): Linear framebuffer at 0xE8000000
(--) MGA(0): MMIO registers at 0xE4000000
(--) MGA(0): Pseudo-DMA transfer window at 0xE5000000
(==) MGA(0): BIOS at 0xC0000
(--) MGA(0): Video BIOS info block at offset 0x07540
(--) MGA(0): Found and verified enhanced Video BIOS info block
(WW) MGA(0): Failed to set up write-combining range (0xe8000000,0x1000000)
(--) MGA(0): VideoRAM: 8192 kByte
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.2.0
(==) MGA(0): Write-combining range (0xe8000000,0x800000)
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: 0x84f3740
(II) MGA(0): Manufacturer: ADI  Model: 2943  Serial#: 16811088
(II) MGA(0): Year: 1998  Week: 29
(II) MGA(0): EDID Version: 1.1
(II) MGA(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) MGA(0): Sync:  Separate
(II) MGA(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) MGA(0): Gamma: 2.25
(II) MGA(0): DPMS capabilities: Suspend Off; RGB/Color Display
(II) MGA(0): redX: 0.625 redY: 0.340   greenX: 0.310 greenY: 0.592
(II) MGA(0): blueX: 0.150 blueY: 0.063   whiteX: 0.281 whiteY: 0.311
(II) MGA(0): Supported VESA Video Modes:
(II) MGA(0): 720x400@70Hz
(II) MGA(0): 640x480@60Hz
(II) MGA(0): 640x480@75Hz
(II) MGA(0): 800x600@60Hz
(II) MGA(0): 800x600@75Hz
(II) MGA(0): 832x624@75Hz
(II) MGA(0): 1024x768@60Hz
(II) MGA(0): 1024x768@75Hz
(II) MGA(0): Manufacturer's mask: 0
(II) MGA(0): Supported Future Video Modes:
(II) MGA(0): #0: hsize: 640  vsize 360  refresh: 70  vid: 51761
(II) MGA(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) MGA(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) MGA(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) MGA(0): Supported additional Video Mode:
(II) MGA(0): clock: 25.2 MHz   Image Size:  300 x 230 mm
(II) MGA(0): h_active: 640  h_sync: 656  h_sync_end 752 h_blank_end 784 h_border: 8
(II) MGA(0): v_active: 480  v_sync: 490  v_sync_end 492 v_blanking: 509 v_border: 8
(II) MGA(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 69 kHz,
PixClock max 2550 kHz
(II) MGA(0): Serial No: 829R30108450
(II) MGA(0): Monitor name: ADI 5P
(II) MGA(0): end of I2C Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 250 MHz
(II) MGA(0): ADI 5P: Using hsync range of 30.00-69.00 kHz
(II) MGA(0): ADI 5P: Using vrefresh range of 50.00-120.00 Hz
(II) MGA(0): Clock range:  12.00 to 250.00 MHz
(WW) MGA(0): Default mode "1280x960" deleted (hsync out of range)
(WW) MGA(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) MGA(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) MGA(0): Default mode "1792x1344" deleted(bad mode clock/interlace/doublescan)
(WW) MGA(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) MGA(0): Default mode "1856x1392" deleted (bad mode clock/interlace/doublescan)
(WW) MGA(0): Default mode "1920x1440" deleted (hsync out of range)
(WW) MGA(0): Default mode "1920x1440" deleted (bad mode clock/interlace/doublescan)
(--) MGA(0): Virtual size is 1152x864 (pitch 1152)
(**) MGA(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(--) MGA(0): Display dimensions: (30, 23) cm
(--) MGA(0): DPI set to (97, 95)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
Symbol drmMap from module /usr/X11R6/lib/modules/drivers/mga_drv.o is unresolved!
Symbol drmUnmap from module /usr/X11R6/lib/modules/drivers/mga_drv.o is unresolved!
Symbol DRIGetDrawableStamp from module /usr/X11R6/lib/modules/drivers/mga_drv.o
is unresolved!
Symbol DRIGetDrawableInfo from module /usr/X11R6/lib/modules/drivers/mga_drv.o
is unresolved!
(==) MGA(0): Write-combining range (0xe8000000,0x800000)
(--) MGA(0): 64 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): Using 2776 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid filled trapezoids
	8x8 mono pattern filled rectangles
	8x8 mono pattern filled trapezoids
	Indirect CPU to Screen color expansion
	Screen to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Driver provided FillMono8x8PatternRects replacement
	Setting up tile and stipple cache:
		32 128x128 slots
		19 256x256 slots
		5 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled
(**) Mouse0: Protocol: "IMPS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SESSION_MANAGER=local/eem12.resnet.cornell.edu:/tmp/.ICE-unix/3033
Xlib:  extension "XINERAMA" missing on display ":1.0".
SetKbdSettings - type: 0 rate: 255 delay: 0 snumlk: 0

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.1.log".
Please report problems to xfree86@xfree86.org.

xinit:  connection to X server lost.
X connection to :1.0 broken (explicit kill or server shutdown).
X connection to :1.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).

GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).

GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).
Comment 7 Ed McKenzie 2001-02-23 01:03:29 EST
Hm. Despite being logged in, I can't seem to change the package or version.
Comment 8 Mike A. Harris 2001-03-06 11:32:36 EST
Upgrade to XFree86-4.0.2-11.4.0 from:
ftp://people.redhat.com/mharris/xfree86

Let me know if this fixes the problem for you.  Also, you should get
DRI working with this version too.  I have a G200 here now and it works
perfectly with this version.

Hope it works for you too.
Comment 9 Ed McKenzie 2001-03-06 12:28:04 EST
Hm. 11.4.0 doesn't seem to fix either problem. Do I need an updated Mesa? The
loader still can't resolve all symbols in mga_drv.o.

Also, I just noticed that XFree isn't automatically loading agpgart/mga --
didn't it do this in 7.0? Anyway, loading those by hand doesn't fix the
unresolved symbols issue.
Comment 10 Mike A. Harris 2001-03-07 08:05:03 EST
The 11.4.0 rpm packages FORCE load agpgart, so if it is not loading, then
your kernel agpgart module must not be there.  Please check and ensure
your kernel is properly installed with agpgart.

In 7.0, the initscripts loaded agpgart because XFree wasn't doing so properly.
XFree still doesn't, so we have hacked into the drm loader to load agpgart
first.

Are you using two video cards?  Why is it showing up on :1 with the xinerama
error?  You cannot use DRI and xinerama at the same time, at least not on mga
cards.

Also, I just noticed you're saying you're using 11-4.0 however your server
log shows:

(==) MGA(0): RGB weight 565
(WW) Warning, couldn't open module mga_hal
(EE) MGA: Failed to load module "mga_hal" (module does not exist, 0)

The 11.4.0 build disables the capability of using the mga HAL entirely so
the above error is not possible.  Please supply a fresh server error log
and configuration (if that has changed).
Comment 11 Ed McKenzie 2001-03-07 10:33:39 EST
I upgraded to 11.4.0 the day you noted in bugzilla (6 Mar.) That log was from
the original bug report (23 Feb.) Therefore, the log is not from 11.4.0. :-) I
think it's from whatever was in Wolverine (9.0? 9.2?)

That said, I did run startx -- :1 to obtain that log because that was the
quickest way to capture the sig11 in the log (trying from gdm loses the
XFree86.0.log file when gdm resets X.) It happens the same way from the gdm
login, though.

Re: 11.4.0, X definitely isn't getting agpgart loaded on this box. It does load
if I insmod agpgart ; insmod mga, but acceleration still doesn't work (log shows
undefined symbols in mga_drv.o.) I updated Mesa from rawhide last night, so
after I cycle my login I'll see if that makes a difference.
Comment 12 Mike A. Harris 2001-03-08 06:33:05 EST
Can you make a file attachment of the latest Xserver log?  Please make
it an attachment with the above "Create new attachment" link and not
inline as it makes the bug report very very long and hard to read.

Thanks.  I'll look into this when I get the log and see whats up..
Comment 13 Ed McKenzie 2001-03-08 15:58:30 EST
Created attachment 12128 [details]
XFree86 server log
Comment 14 Ed McKenzie 2001-03-08 16:01:30 EST
Created attachment 12129 [details]
config for 11.4.0
Comment 15 Ed McKenzie 2001-03-08 16:04:08 EST
I notice the Load "dri" line in XF86Config-4 is commented out. This was
generated by Xconfigurator with no options -- is this a bug, or has the default
behavior changed from 7.0?
Comment 16 Ed McKenzie 2001-03-08 16:08:51 EST
Ok, that line was the problem. Accelerated dri does work now.
Comment 17 Mike A. Harris 2001-03-18 23:29:49 EST
Yes, Xconfigurator was set to disable DRI on cards that had "issues".
It should work now.

Note You need to log in before you can comment on or make changes to this bug.